Subject: Re: linuxppc_2_4_devel on walnut

From: Armin Kuster <[email-masked]>
Date: Wed, 14 Nov 2001 09:01:21 -0800

Kenneth Johansson wrote:
>
> The saga continues.
>
> Well some of the problems I had was of the brown paperbag over head kind of
> error but now I can boot and run a version checked out a few hours ago.
>
> But the ethernet reporting of the line is wrong. This is a problem with the
> printout only as the function is right. The 100Mb full duplex is reported to
> be 10Mb half and vise verse.
>
> I have not run the walnut hardware for some time but I still have a quite
> severe problem with ethernet in 10Mb.
>
> What happens is this if I connect to a 3com 10Mb hub that is connected to the
> office net (cisco switch) the switch turns off the port after some time
> mostly when I run apt-get. Since the walnut card is never directly connected
> to the switch this must be some logical error in packets probably the
> intergap time is to small that is the only thing I can think of as the switch
> only care about the ethernet layer.
>
> This problem could maybee exist if I directly connect to the switch I have
> not done that and no I can not test this easy as I don't control the switch
> and now only have 1 working port in that room and it is really needed.
>
> --
> Kenneth Johansson
> Ericsson Business Innovation AB   Tel: +46 8 404 71 83
> Viderögatan 3                     Fax: +46 8 404 72 72
> 164 80 Stockholm                  [email-masked]

Kenneth;

I finally got arround to looking into this and the problem is the
status.
We use the status to program the emac to the same speed as the PHY.

I have attach a patch the should correct this.

-- armin